/etc/motd should not be managed by debian/links

Bug #561778 reported by Dustin Kirkland  on 2010-04-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
base-files (Ubuntu)
Medium
Dustin Kirkland 
Lucid
Medium
Dustin Kirkland 

Bug Description

Binary package hint: base-files

On Mon, Apr 12, 2010 at 09:43:01AM -0500, Dustin Kirkland wrote:
> On Mon, Apr 12, 2010 at 1:58 AM, Steve Langasek
> <email address hidden> wrote:
> > If you don't want the system changing your motd, then it should be enough to
> > remove the /etc/motd symlink to /var/run/motd and maintain /etc/motd as a
> > static file.

> Ruh-roh... I think I might have broken that on Friday, when I added:
> $ cat base-files-5.0.0ubuntu14/debian/links
> var/run/motd etc/motd

> I think that symlink will get recreated on each package upgrade.

> Should I go and revert that?

Yes, please replace it with symlinking on first upgrade/install of the newer
version of base-files.

Thanks,
--
Steve Langasek

Related branches

Changed in base-files (Ubuntu):
status: New → In Progress
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package base-files - 5.0.0ubuntu16

---------------
base-files (5.0.0ubuntu16) lucid; urgency=low

  * debian/postinst.in: only create /etc/motd link on initial install;
    thereafter, it's entirely up to the admin whether to keep this
    link or modify it to their wishes, LP: #561778
 -- Dustin Kirkland <email address hidden> Mon, 12 Apr 2010 15:23:12 -0500

Changed in base-files (Ubuntu Lucid):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers